## qtwayland-opensource-src 5.15.13

=== tests/auto/cmake/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(qmake_cmake_files)

enable_testing()

find_package(Qt5Core REQUIRED)
set(Qt5_MODULE_TEST_DEPENDS Quick)

include("${_Qt5CTestMacros}")

test_module_includes(
  WaylandCompositor QWaylandBufferRef
)

# Can't test in `test_module_includes`, WaylandClient has no public headers
expect_pass(test_waylandclient)

=== debian/changelog ===
qtwayland-opensource-src (5.15.13-3) unstable; urgency=medium

  * Backport upstream patch to update wayland.xml to version 1.23.0
    (closes: #1077418).
  * Update symbols files for the new protocol and for GCC 14.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 30 Jul 2024 16:02:34 +0300

qtwayland-opensource-src (5.15.13-2) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove Timo and myself from Uploaders.

  [ Dmitry Shachnev ]
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 21 May 2024 18:53:46 +0300

qtwayland-opensource-src (5.15.13-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.13.
  * Bump ABI version to 5-15-13.
  * Replace pkg-config build-dependency with pkgconf.
  * Drop 0075-client-Fix-infinite-recursion-with-text-input-v2.patch,
    included in the new release.
  * Add 0082-Client-Fix-enter-event-cursor-position-with-xdg-popu.patch,
    one more patch from KDE’s collection.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 13 Mar 2024 20:20:05 +0300

qtwayland-opensource-src (5.15.12-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.12.
  * Bump ABI version to 5-15-12.
  * Drop patches, included in the new release:
    - 0040-Fix-build-with-libcxx-missing-array-include.patch
    - 0049-Use-CRLF-line-delimiter-for-text-uri-list-data.patch
    - 0051-Avoid-calling-requestUpdate-from-wrong-thread.patch
  * Drop patches which annihilate each other:
    - 0055-Client-Ensure-that-wl_surface-lives-as-long-as-qtqui.patch
    - 0057-Revert-Client-Ensure-that-wl_surface-lives-as-long-a.patch
  * Refresh other patches.
  * Add patches from KDE’s Qt 5 Patch Collection up to 2023-10-24.
    - Disable 0079-Client-Remove-some-surface-commits.patch, it makes the
      tests fail.
  * Remove hack for mips/mipsel, these architectures are no longer in Debian.
  * Remove build path from .prl files for reproducibility.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 24 Dec 2023 19:45:07 +0300

=== debian/control ===
Source: qtwayland-opensource-src
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Dmitry Shachnev <mitya57@debian.org>,
           Sune Vuorela <debian@pusling.com>,
           Pino Toscano <pino@debian.org>,
           Simon Quigley <tsimonq2@debian.org>,
           Patrick Franz <deltaone@debian.org>
Build-Depends: dbus <!nocheck>,
               debhelper-compat (= 13),
               dpkg-dev (>= 1.17.14),
               libegl1-mesa-dev,
               libfontconfig-dev,
               libglib2.0-dev,
               libinput-dev,
               libmtdev-dev [linux-any],
               libudev-dev [linux-any],
               libwayland-dev (>= 1.8.0),
               libwayland-egl1-mesa | libwayland-egl1,
               libxcomposite-dev,
               libxkbcommon-dev (>= 0.2.0),
               libxrender-dev,
               pkg-kde-tools,
               pkgconf,
               qtbase5-dev (>= 5.15.13+dfsg~),
               qtbase5-dev:native (>= 5.15.13+dfsg~),
               qtbase5-private-dev (>= 5.15.13+dfsg~),
               qtdeclarative5-private-dev (>= 5.15.13+dfsg~),
               xauth <!nocheck>,
               xvfb <!nocheck>
Build-Depends-Indep: qdoc-qt5 (>= 5.15.13~) <!nodoc>,
                     qhelpgenerator-qt5 (>= 5.15.13~) <!nodoc>,
                     qtattributionsscanner-qt5 (>= 5.15.13~) <!nodoc>,
                     qtbase5-doc-html (>= 5.15.13+dfsg~) <!nodoc>
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://doc.qt.io/qt-5/wayland-and-qt.html
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwayland.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwayland

Package: qtwayland5-examples
Architecture: any
Multi-Arch: same
Section: x11
Pre-Depends: ${misc:Pre-Depends}
Depends: qml-module-qtwayland-compositor, ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Wayland examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains examples of the Qt 5 Wayland module.

Package: libqt5waylandclient5
Architecture: any
Multi-Arch: same
Provides: qtwayland-client-abi-5-15-13
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: QtWayland client library
 QtWayland is a Qt 5 module that wraps the functionality of Wayland.
 .
 This package contains the QtWayland client library.

Package: libqt5waylandcompositor5
Architecture: any
Multi-Arch: same
Provides: qtwayland-compositor-abi-5-15-13
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: QtWayland compositor library
 QtWayland is a Qt 5 module that wraps the functionality of Wayland.
 .
 This package contains the QtWayland compositor library.

Package: qml-module-qtwayland-compositor
Multi-Arch: same
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Wayland Compositor QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Wayland Compositor modules provide QML types that can be used to
 create custom display servers supporting the Wayland protocol.

Package: qml-module-qtwayland-client-texturesharing
Multi-Arch: same
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Wayland Shared Texture Provider QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This module allows Qt Wayland clients to use graphical resources exported
 by the compositor, without allocating any graphics memory in the client.

Package: libqt5waylandcompositor5-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libqt5waylandcompositor5 (= ${binary:Version}), ${misc:Depends}
Description: QtWayland compositor development files
 QtWayland is a Qt 5 module that wraps the functionality of Wayland.
 .
 This package contains the development files for QtWayland compositor
 library.

Package: libqt5waylandclient5-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libqt5waylandclient5 (= ${binary:Version}), ${misc:Depends}
Recommends: qtwayland5-dev-tools
Description: QtWayland client development files
 QtWayland is a Qt 5 module that wraps the functionality of Wayland.
 .
 This package contains the development files for QtWayland client
 library.

Package: qtwayland5-private-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libqt5waylandclient5-dev (= ${binary:Version}),
         libqt5waylandcompositor5-dev (= ${binary:Version}),
         ${misc:Depends}
Description: QtWayland private development files
 QtWayland is a Qt 5 module that wraps the functionality of Wayland.
 .
 This package contains the private development files for QtWayland client
 and compositor libraries.

Package: qtwayland5-dev-tools
Architecture: any
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: qtwayland5 (<< 5.9.2-2~)
Replaces: qtwayland5 (<< 5.9.2-2~)
Description: Qt 5 Wayland developer tools
 QtWayland is a Qt 5 module that wraps the functionality of Wayland.
 .
 This package contains the QtWayland developer tools.
 At the moment there is only qtwaylandscanner tool here.

Package: qtwayland5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: QtWayland platform plugin
 QtWayland is a Qt 5 module that wraps the functionality of Wayland.
 .
 This package contains the QtWayland platform plugin, which allows users
 to run Qt 5 applications under Wayland, and the qtwaylandscanner
 binary.

Package: qtwayland5-doc
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Qt 5 Wayland Compositor documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 5 Wayland Compositor
 library.

Package: qtwayland5-doc-html
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Qt 5 Wayland Compositor HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 5 Wayland Compositor
 library.

## qtwayland-opensource-src 5.15.15

=== debian/changelog ===
qtwayland-opensource-src (5.15.15-3) unstable; urgency=medium

  * Drop B-D on libwayland-egl1-mesa | libwayland-egl1 (closes: #1101612).
    - libwayland-egl1-mesa was a transitional package since 2018.
    - libwayland-egl1 is pulled in by libwayland-dev anyway.
  * Update symbols files from buildds’ logs.
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 01 Apr 2025 14:07:20 +0300

qtwayland-opensource-src (5.15.15-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 25 Oct 2024 12:49:29 +0300

qtwayland-opensource-src (5.15.15-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.15.
  * Bump ABI version to 5-15-15.
  * Update symbols files from buildds’ logs.
  * Drop patches, included in the new release:
    - 0067-Client-Manage-QMimeData-lifecycle.patch
    - 0068-client-Do-not-cast-placeholder-screens-to-QWaylandSc.patch
    - 0069-Client-Remove-flip-popup-constraints.patch
    - 0076-Client-Fix-the-mouse-being-stuck-in-pressed-state-af.patch
  * Refresh other patches.
  * Add patches from KDE’s Qt 5 Patch Collection up to 2024-08-31.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 07 Sep 2024 22:30:16 +0300

=== debian/control ===
--- 
+++ 
@@ -17,23 +17,22 @@
                libmtdev-dev [linux-any],
                libudev-dev [linux-any],
                libwayland-dev (>= 1.8.0),
-               libwayland-egl1-mesa | libwayland-egl1,
                libxcomposite-dev,
                libxkbcommon-dev (>= 0.2.0),
                libxrender-dev,
                pkg-kde-tools,
                pkgconf,
-               qtbase5-dev (>= 5.15.13+dfsg~),
-               qtbase5-dev:native (>= 5.15.13+dfsg~),
-               qtbase5-private-dev (>= 5.15.13+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.13+dfsg~),
+               qtbase5-dev (>= 5.15.15+dfsg~),
+               qtbase5-dev:native (>= 5.15.15+dfsg~),
+               qtbase5-private-dev (>= 5.15.15+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.15+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.13~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.13~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.13~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.13+dfsg~) <!nodoc>
-Standards-Version: 4.7.0
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.15~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.15~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.15~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.15+dfsg~) <!nodoc>
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://doc.qt.io/qt-5/wayland-and-qt.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwayland.git
@@ -54,7 +53,7 @@
 Package: libqt5waylandclient5
 Architecture: any
 Multi-Arch: same
-Provides: qtwayland-client-abi-5-15-13
+Provides: qtwayland-client-abi-5-15-15
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: QtWayland client library
  QtWayland is a Qt 5 module that wraps the functionality of Wayland.
@@ -64,7 +63,7 @@
 Package: libqt5waylandcompositor5
 Architecture: any
 Multi-Arch: same
-Provides: qtwayland-compositor-abi-5-15-13
+Provides: qtwayland-compositor-abi-5-15-15
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: QtWayland compositor library
  QtWayland is a Qt 5 module that wraps the functionality of Wayland.

## qtwayland-opensource-src 5.15.17

=== debian/changelog ===
qtwayland-opensource-src (5.15.17-3) unstable; urgency=medium

  * Backport two upstream commits to fix flakiness in createSubsurface test
    (closes: #1113820).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 03 Sep 2025 20:05:16 +0300

qtwayland-opensource-src (5.15.17-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 01 Sep 2025 23:05:20 +0300

qtwayland-opensource-src (5.15.17-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.17.
  * Bump ABI version to 5-15-17.
  * Drop patches, included in the new release:
    - 0081-Client-Always-populate-mimedata-in-drags.patch
    - 0082-Client-Fix-enter-event-cursor-position-with-xdg-popu.patch
    - 0083-client-don-t-cache-one-type-in-QWaylandMimeData.patch
    - 0085-Revert-Client-Send-release-button-event-on-pointer-l.patch
  * Refresh other patches.
  * Add patches from KDE’s Qt 5 Patch Collection up to 2025-05-22.
  * Remove Qt_5.x symbols from the symbols files.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 07 Jul 2025 23:07:07 +0300

=== debian/control ===
--- 
+++ 
@@ -22,16 +22,16 @@
                libxrender-dev,
                pkg-kde-tools,
                pkgconf,
-               qtbase5-dev (>= 5.15.15+dfsg~),
-               qtbase5-dev:native (>= 5.15.15+dfsg~),
-               qtbase5-private-dev (>= 5.15.15+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.15+dfsg~),
+               qtbase5-dev (>= 5.15.17+dfsg~),
+               qtbase5-dev:native (>= 5.15.17+dfsg~),
+               qtbase5-private-dev (>= 5.15.17+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.17+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.15~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.15~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.15~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.15+dfsg~) <!nodoc>
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.17~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.17~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.17~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.17+dfsg~) <!nodoc>
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://doc.qt.io/qt-5/wayland-and-qt.html
@@ -53,7 +53,7 @@
 Package: libqt5waylandclient5
 Architecture: any
 Multi-Arch: same
-Provides: qtwayland-client-abi-5-15-15
+Provides: qtwayland-client-abi-5-15-17
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: QtWayland client library
  QtWayland is a Qt 5 module that wraps the functionality of Wayland.
@@ -63,7 +63,7 @@
 Package: libqt5waylandcompositor5
 Architecture: any
 Multi-Arch: same
-Provides: qtwayland-compositor-abi-5-15-15
+Provides: qtwayland-compositor-abi-5-15-17
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: QtWayland compositor library
  QtWayland is a Qt 5 module that wraps the functionality of Wayland.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

export QT_SELECT := qt5

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
ifneq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
	cd src/qtwaylandscanner && \
		g++ qtwaylandscanner.cpp -I/usr/include/$(DEB_BUILD_MULTIARCH)/qt5 \
		-I/usr/include/$(DEB_BUILD_MULTIARCH)/qt5/QtCore \
		-fPIC -lQt5Core -o $(CURDIR)/qtwaylandscanner_native
	dh_auto_configure -- QMAKE_QMAKE=/usr/bin/$(DEB_HOST_GNU_TYPE)-qmake \
		QT_TOOL.qtwaylandscanner.binary=$(CURDIR)/qtwaylandscanner_native \
		PKG_CONFIG_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig:/usr/share/pkgconfig
else
	dh_auto_configure -- QT_BUILD_PARTS+=tests
endif

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	dh_auto_build -- INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs

execute_after_dh_auto_install-arch:
	# Reproducible builds: remove build path from the prl files.
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libQt5*.prl

override_dh_link:
	dh_link -pqtwayland5-dev-tools \
		usr/lib/qt5/bin/qtwaylandscanner usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/qtwaylandscanner
	dh_link --remaining-packages

override_dh_auto_test-arch:
	dh_auto_test -- -Ctests/auto TESTRUNNER="xvfb-run -a"

override_dh_auto_test-indep:

=== debian/watch ===
version=4
https://download.qt.io/archive/qt/5.15/([\d\.]*)/submodules/qtwayland-everywhere-opensource-src-([^-]*)\.tar\.xz

## qtwayland-opensource-src 5.15.17+p24.04+vrelease+git20250828.1414

=== debian/changelog ===
qtwayland-opensource-src (5.15.17+p24.04+vrelease+git20250828.1414-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 28 Aug 2025 14:14:05 +0000

qtwayland-opensource-src (5.15.17-0neon) noble; urgency=medium

  * new release.

 -- KDE neon <neon@kde.org>  Mon, 21 Jul 2024 07:59:20 +1000

qtwayland-opensource-src (5.15.13-0neon) UNRELEASED; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.15.5.
  * Bump ABI version to 5-15-5.
  * Drop 0003-Include-locale.h-for-setlocale-LC_CTYPE.patch, included in the
    new release.
  * Add patches from KDE's Qt 5 Patch Collection up to 2022-06-20.

  [ Jonathan Riddell ]
  * New rebase

 -- Jonathan Riddell <jr@jriddell.org>  Mon, 31 Oct 2022 13:04:41 +0000

=== debian/control ===
--- 
+++ 
@@ -1,42 +1,45 @@
 Source: qtwayland-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Dmitry Shachnev <mitya57@debian.org>,
+           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
+           Timo Jyrinki <timo@debian.org>,
            Simon Quigley <tsimonq2@debian.org>,
            Patrick Franz <deltaone@debian.org>
 Build-Depends: dbus <!nocheck>,
                debhelper-compat (= 13),
                dpkg-dev (>= 1.17.14),
                libegl1-mesa-dev,
-               libfontconfig-dev,
+               libfontconfig1-dev,
                libglib2.0-dev,
                libinput-dev,
                libmtdev-dev [linux-any],
                libudev-dev [linux-any],
                libwayland-dev (>= 1.8.0),
+               libwayland-egl1-mesa | libwayland-egl1,
                libxcomposite-dev,
                libxkbcommon-dev (>= 0.2.0),
                libxrender-dev,
+               pkg-config,
                pkg-kde-tools,
-               pkgconf,
-               qtbase5-dev (>= 5.15.17+dfsg~),
-               qtbase5-dev:native (>= 5.15.17+dfsg~),
-               qtbase5-private-dev (>= 5.15.17+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.17+dfsg~),
+               qtbase5-dev (>= 5.15.5+dfsg~),
+               qtbase5-dev:native (>= 5.15.5+dfsg~),
+               qtbase5-private-dev (>= 5.15.5+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.5+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.17~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.17~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.17~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.17+dfsg~) <!nodoc>
-Standards-Version: 4.7.2
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.5~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.5~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.5~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.5+dfsg~) <!nodoc>
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://doc.qt.io/qt-5/wayland-and-qt.html
-Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwayland.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwayland
+Vcs-Git: https://invent.kde.org/neon/qt/qtwayland.git
+Vcs-Browser: https://invent.kde.org/neon/qt/qtwayland
+Maintainer: Neon CI <neon@kde.org>
 
 Package: qtwayland5-examples
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -23,15 +23,11 @@
 	dh_auto_configure -- QT_BUILD_PARTS+=tests
 endif
 
-override_dh_auto_build-indep:
+override_dh_auto_build-indep: build-arch
 	dh_auto_build -- docs
 
 override_dh_auto_install-indep:
 	dh_auto_build -- INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs
-
-execute_after_dh_auto_install-arch:
-	# Reproducible builds: remove build path from the prl files.
-	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libQt5*.prl
 
 override_dh_link:
 	dh_link -pqtwayland5-dev-tools \
@@ -39,6 +35,11 @@
 	dh_link --remaining-packages
 
 override_dh_auto_test-arch:
+ifneq (,$(filter $(DEB_HOST_ARCH),mips mipsel))
+	# mips/mipsel: double free or corruption, unreproducible on porterboxes
+	-dh_auto_test -- -Ctests/auto TESTRUNNER="xvfb-run -a"
+else
 	dh_auto_test -- -Ctests/auto TESTRUNNER="xvfb-run -a"
+endif
 
 override_dh_auto_test-indep:

## qtwayland-opensource-src 5.15.17+p24.04+vstable+git20250828.2300

=== debian/changelog ===
qtwayland-opensource-src (5.15.17+p24.04+vstable+git20250828.2300-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 28 Aug 2025 23:00:03 +0000

## qtwayland-opensource-src 5.15.17+p24.04+vunstable+git20250828.2251

=== debian/changelog ===
qtwayland-opensource-src (5.15.17+p24.04+vunstable+git20250828.2251-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 28 Aug 2025 22:51:24 +0000

qtwayland-opensource-src (5.15.13-2) UNRELEASED; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove Timo and myself from Uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 17 Mar 2024 20:27:16 -0300

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,15 @@
 Section: libs
 Priority: optional
 Uploaders: Dmitry Shachnev <mitya57@debian.org>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
-           Timo Jyrinki <timo@debian.org>,
            Simon Quigley <tsimonq2@debian.org>,
            Patrick Franz <deltaone@debian.org>
 Build-Depends: dbus <!nocheck>,
                debhelper-compat (= 13),
                dpkg-dev (>= 1.17.14),
                libegl1-mesa-dev,
-               libfontconfig1-dev,
+               libfontconfig-dev,
                libglib2.0-dev,
                libinput-dev,
                libmtdev-dev [linux-any],
@@ -22,19 +20,19 @@
                libxcomposite-dev,
                libxkbcommon-dev (>= 0.2.0),
                libxrender-dev,
-               pkg-config,
                pkg-kde-tools,
-               qtbase5-dev (>= 5.15.5+dfsg~),
-               qtbase5-dev:native (>= 5.15.5+dfsg~),
-               qtbase5-private-dev (>= 5.15.5+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.5+dfsg~),
+               pkgconf,
+               qtbase5-dev (>= 5.15.13+dfsg~),
+               qtbase5-dev:native (>= 5.15.13+dfsg~),
+               qtbase5-private-dev (>= 5.15.13+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.13+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.5~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.5~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.5~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.5+dfsg~) <!nodoc>
-Standards-Version: 4.6.1
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.13~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.13~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.13~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.13+dfsg~) <!nodoc>
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://doc.qt.io/qt-5/wayland-and-qt.html
 Vcs-Git: https://invent.kde.org/neon/qt/qtwayland.git

=== debian/rules ===
--- 
+++ 
@@ -29,17 +29,16 @@
 override_dh_auto_install-indep:
 	dh_auto_build -- INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs
 
+execute_after_dh_auto_install-arch:
+	# Reproducible builds: remove build path from the prl files.
+	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libQt5*.prl
+
 override_dh_link:
 	dh_link -pqtwayland5-dev-tools \
 		usr/lib/qt5/bin/qtwaylandscanner usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/qtwaylandscanner
 	dh_link --remaining-packages
 
 override_dh_auto_test-arch:
-ifneq (,$(filter $(DEB_HOST_ARCH),mips mipsel))
-	# mips/mipsel: double free or corruption, unreproducible on porterboxes
-	-dh_auto_test -- -Ctests/auto TESTRUNNER="xvfb-run -a"
-else
 	dh_auto_test -- -Ctests/auto TESTRUNNER="xvfb-run -a"
-endif
 
 override_dh_auto_test-indep:

## qtwayland-opensource-src 5.15.17+p24.04+vunstable+git20250828.2304

=== debian/changelog ===
qtwayland-opensource-src (5.15.17+p24.04+vunstable+git20250828.2304-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 28 Aug 2025 23:04:14 +0000

## qtwayland-opensource-src 5.15.18

=== debian/changelog ===
qtwayland-opensource-src (5.15.18-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.18.
  * Bump ABI version to 5-15-18.
  * Drop ‘Priority: optional’, it became default in dpkg 1.22.12.
  * Drop ‘Rules-Requires-Root: no’, it became default in dpkg 1.22.13.
  * Bump Standards-Version to 4.7.3.
  * Drop patches, included in the new release:
    - 0084-Fix-race-condition-in-drag-and-drop.patch
    - 0086-fix-variable-not-initialized.patch
  * Refresh other patches.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 08 Jan 2026 23:54:38 +0300

qtwayland-opensource-src (5.15.17-4) unstable; urgency=medium

  * Build-depend on dbus-daemon instead of dbus (closes: #1122711).
  * Update symbols files from the current build logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 31 Dec 2025 14:48:35 +0300

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: qtwayland-opensource-src
 Section: libs
-Priority: optional
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Dmitry Shachnev <mitya57@debian.org>,
            Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Simon Quigley <tsimonq2@debian.org>,
            Patrick Franz <deltaone@debian.org>
-Build-Depends: dbus <!nocheck>,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.17.14),
+               dbus-daemon <!nocheck>,
                libegl1-mesa-dev,
                libfontconfig-dev,
                libglib2.0-dev,
@@ -16,28 +16,25 @@
                libmtdev-dev [linux-any],
                libudev-dev [linux-any],
                libwayland-dev (>= 1.8.0),
-               libwayland-egl1-mesa | libwayland-egl1,
                libxcomposite-dev,
                libxkbcommon-dev (>= 0.2.0),
                libxrender-dev,
                pkg-kde-tools,
                pkgconf,
-               qtbase5-dev (>= 5.15.13+dfsg~),
-               qtbase5-dev:native (>= 5.15.13+dfsg~),
-               qtbase5-private-dev (>= 5.15.13+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.13+dfsg~),
+               qtbase5-dev (>= 5.15.18+dfsg~),
+               qtbase5-dev:native (>= 5.15.18+dfsg~),
+               qtbase5-private-dev (>= 5.15.18+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.18+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.13~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.13~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.13~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.13+dfsg~) <!nodoc>
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.18~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.18~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.18~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.18+dfsg~) <!nodoc>
+Standards-Version: 4.7.3
 Homepage: https://doc.qt.io/qt-5/wayland-and-qt.html
-Vcs-Git: https://invent.kde.org/neon/qt/qtwayland.git
-Vcs-Browser: https://invent.kde.org/neon/qt/qtwayland
-Maintainer: Neon CI <neon@kde.org>
+Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwayland.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwayland
 
 Package: qtwayland5-examples
 Architecture: any
@@ -54,7 +51,7 @@
 Package: libqt5waylandclient5
 Architecture: any
 Multi-Arch: same
-Provides: qtwayland-client-abi-5-15-17
+Provides: qtwayland-client-abi-5-15-18
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: QtWayland client library
  QtWayland is a Qt 5 module that wraps the functionality of Wayland.
@@ -64,7 +61,7 @@
 Package: libqt5waylandcompositor5
 Architecture: any
 Multi-Arch: same
-Provides: qtwayland-compositor-abi-5-15-17
+Provides: qtwayland-compositor-abi-5-15-18
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: QtWayland compositor library
  QtWayland is a Qt 5 module that wraps the functionality of Wayland.
